EDIT - bug #7945

TaxonNamePopupEditor: missing genus causes exception when updating name parts visibility
12/10/2018 08:22 AM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description
Incomplete data (missing genus) can result in exceptions being thrown:

org.hibernate.HibernateException: A collection with cascade="all-delete-orphan" was no longer refe
renced by the owning entity instance: eu.etaxonomy.cdm.model.common.DefinedTermBase.representation
s

at org.hibernate.engine.internal.Collections.processDereferencedCollection(Collecti
ons.java:99)

at org.hibernate.engine.internal.Collections.processUnreachableCollection(Collectio
ns.java:50)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushCollections (Abst
ractFlushingEventListener. java:243)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExec
utions (AbstractFlushingEventListener. java:86)

at org.hibernate.event.internal.DefaultAutoFlushEventListener.onAutoFlush (DefaultAu
toFlushEventListener. java:44)

at org.hibernate.internal.SessionImpl.autoFlushIfRequired(SessionImpl.java:1251)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1319)

at org.hibernate.internal.QueryImpl.list (QueryImpl.java:87)

at org.hibernate.internal.AbstractQueryImpl.uniqueResult (AbstractQueryImpl. java:960

at eu.etaxonomy.cdm.persistence.dao.hibernate.name.TaxonNameDaoHibernateImpl.countT
axonNameParts (TaxonNameDaoHibernateImpl. java:997)
at eu.etaxonomy.cdm.api.service.NameServiceImpl.findTaxonNameParts (NameServiceImpl.

java:354)

at eu.etaxonomy.cdm.api.service.NameServiceImpl.findTaxonNameParts (NameServiceImpl.
java:375)

at sun.reflect.GeneratedMethodAccessorl781.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. jav
a:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils
.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Ref
lectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveM
ethodInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWith
Invocation (TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithi
nTransaction (TransactionAspectSupport.java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Transa
ctionInterceptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveM
ethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.j
ava:208)

at com.sun.proxy.$Proxy6ll.findTaxonNameParts (Unknown Source)

at eu.etaxonomy.cdm.service.TaxonNameStringFilterablePagingProvider.size (TaxonNameS
tringFilterablePagingProvider. java:196)

at org.vaadin.viritin.fields.LazyComboBox$7.size (LazyComboBox.java:261)

at org.vaadin.viritin.LazyList.size(LazyList.java:229)
org.vaadin.viritin.LazyList$1l.<init> (LazyList.java:302)

org.vaadin.viritin.LazyList.iterator (LazyList.java:299)
java.util.AbstractCollection.contains (AbstractCollection. java:99)
org.vaadin.viritin.LazyList.contains (LazyList.java:284)
eu.etaxonomy.vaadin.component .WeaklyRelatedEntityCombobox.setValue (WeaklyRelated
EntityCombobox.java:199)
at eu.etaxonomy.cdm.vaadin.view.name.TaxonNameEditorPresenter.onFieldReplaceEvent (T

axonNameEditorPresenter. java:379)
at sun.reflect.GeneratedMethodAccessorl906.1invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. jav
java.lang.reflect.Method.invoke (Method. java:498)
org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWr

org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.

org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116

org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109

eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.replaceComponent (AbstractPopupEditor

eu.etaxonomy.cdm.vaadin.view.name.TaxonNamePopupEditor.updateFieldVisibility (Tax

onNamePopupEditor. java:730)
eu.etaxonomy.cdm.vaadin.view.name.TaxonNamePopupEditor.updateAuthorshipFields (Ta

at

xonNamePopupEditor. java:628)
at eu.etaxonomy.cdm.vaadin.view.name.TaxonNamePopupEditor.afterItemDataSourceSet (Ta
xonNamePopupEditor. java:556)
at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.loadInEditor (AbstractPopupEditor. jav

a:812)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onTaxo
nNameEditorActionEdit (RegistrationWorkingsetPresenter. java:435)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. jav
eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.lambda$put

RegistrationListComponent$e83e5a40$1 (RegistrationWorksetViewBean. java:354)
at sun.reflect.GeneratedMethodAccessorl663.invoke (Unknown Source)
event .EventRouter.fireEvent (EventRouter. java:200)

event .EventRouter.fireEvent (EventRouter. java:163)
server.AbstractClientConnector.fireEvent (AbstractClientConnector. java

ui.Button.fireClick (Button. java:377)
.uil.Button$l.click (Button. java:54)
.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)
.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandl

.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHand
ler.java:402)

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java
:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (Uid
1RequestHandler. java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHa
ndler. java:41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. jav
a:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invo
ke (FilterSecurityInterceptor. java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFi
lter (FilterSecurityInterceptor.java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (Exce
ptionTranslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (Sessio
nManagementFilter. java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.do
Filter (AnonymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFil
ter.doFilter (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (R
equestCacheAwareFilter.java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.do
FilterInternal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilte
r.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2Authentication
ProcessingFilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F1i
lterChainProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (Log
outFilter. java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (Head
erWiriterFilter. java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilte
r.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilt
er (SecurityContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegratio
nFilter.doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilte
r.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (Fi
lterChainProxy. java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainPr
oxy.java:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy. java
:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFi
lterProxy.java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterPr
oxXy.java:262)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. jav
a:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (Characte
rEncodingFilter. java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilte
r.java:107)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. jav

a:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223
)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:112
7)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)
at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)
at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerC
ollection. java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3. run (QueuedThreadPool. java:555)

at java.lang.Thread.run(Thread. java:748)

Related issues:

Related to EDIT - bug #7944: TaxonNamePopEditor: name part fields are required Closed
Related to EDIT - bug #8075: multiple cascade all-delete-orphan exceptions re... Closed
Is duplicate of EDIT - bug #8161: *FilterablePagingProvider classes as transa... Rejected
History

#1 - 12/10/2018 08:22 AM - Andreas Kohlbecker
- Tags set to phycobank

- Subject changed from TaxonNamePopupEditor: missing genus causes exception when updating name parts vi to TaxonNamePopupEditor: missing
genus causes exception when updating name parts visibility

- Category set to cdm-vaadin
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

#2 - 12/10/2018 08:23 AM - Andreas Kohlbecker
- Related to bug #7944: TaxonNamePopEditor: name part fields are required added

#3 - 12/10/2018 08:23 AM - Andreas Kohlbecker

- Assignee set to Andreas Kohlbecker
#4 - 12/10/2018 01:42 PM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

This error can not be reproduced by saving a variety taxon name with blank genus. So the problem that causes the exception to be raced must have
been caused by something else. Most probably this has something to to with an un-clean session.

#5 - 12/19/2018 06:14 PM - Andreas Kohlbecker
- Priority changed from Highest to Priority13

#6 - 02/07/2019 12:00 PM - Andreas Kohlbecker

- Related to bug #8075: multiple cascade all-delete-orphan exceptions related to DefinedTermBase.representations added

#7 - 02/19/2019 02:03 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Vaadin Taxon Concept Editor

#8 - 02/19/2019 02:34 PM - Andreas Kohlbecker

- Target version changed from Vaadin Taxon Concept Editor to Reviewed Next Major Release

#9 - 02/19/2019 03:34 PM - Andreas Miiller
- Priority changed from Priority13 to Priority10

#10 - 02/19/2019 05:20 PM - Andreas Kohlbecker
- Priority changed from Priority10 to Priority13

#11 - 03/04/2019 03:04 PM - Andreas Kohlbecker
- Priority changed from Priority13 to Highest

- Target version changed from Reviewed Next Major Release to Release 5.6

potentially duplicate of #8161

#12 - 03/04/2019 03:05 PM - Andreas Kohlbecker

- Is duplicate of bug #8161: *FilterablePagingProvider classes as transactional readonly spring beans added

#13 - 03/05/2019 11:21 AM - Andreas Kohlbecker

- Status changed from New to Rejected

the *FilterablePagingProviders only are using service methods which are anyway annotated with @Transactional(readOnly=true), therefore it makes
not much sense managing transactions in the *FilterablePagingProvider classes. - rejecting ticket

#14 - 03/22/2019 06:21 PM - Andreas Miiller

- Target version deleted (Release 5.6)
